model Ex11_3

parameter Real T(unit="K")=300"temperature";
parameter Real Na(unit="cm^(-3)")=3*10^16"doping concentration";
parameter Real ni(unit="cm^(-3)")=1.5*10^(10);
parameter Real e(unit="coulomb")=1.6*10^(-19)"Charge of electron";
parameter Real k(unit="J.K^(-1)")=1.3807*10^(-23)"Boltzmann's constant";
parameter Real epsilon_s(unit="F.cm^(-1)")=11.7*8.85*10^(-14);
parameter Real epsilon_ox(unit="F.cm^(-1)")=3.9*8.85*10^(-14);
parameter Real t_ox(unit="cm")=200*10^(-8)"thickness";
parameter Real L(unit="cm")=10^(-4);
parameter Real rj(unit="cm")=0.3*10^(-4);
parameter Real Q_des_ss(unit="C/cm^2")=2*10^10;
parameter Real fi_ms(unit="V")=1.1"=fi_ms";

Real Cox(unit="F/cm^2");
Real Vt(unit="ev");
Real fi_fp(unit="V");
Real x_dT(unit="cm")"space charge width";
Real delta_VT(unit="V")"shift in Threshold voltage";

equation

Cox=epsilon_ox/t_ox;
Vt=(k*T)/e;
fi_fp=Vt*log(Na/ni);
x_dT=sqrt((4*epsilon_s*fi_fp)/(e*Na));

delta_VT=-(e*Na*x_dT/Cox)*(rj/L)*(sqrt(1+2*x_dT/rj)-1);

end Ex11_3;